/***************************************************************************
                          defs.h  -  description
                             -------------------
    begin                : Tue Feb 29 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DEFS_H
#define DEFS_H

//text transparency in percent
#define TEXT_TRP    100

//block transparency in percent (if enabled)
#define BLOCK_TRP   80

//bowl darkness in percent
#define BOWL_DARK   30

//border colors
#define BC_NRML 0x829baf/*0xe6d282*/
#define BC_DARK 0x505f6e/*0x9b915f*/

//return states
#define RET_ERROR	1
#define RET_OK		0

//action types
#define AT_NONE		1000
#define AT_QUIT		1001
#define AT_HISCORE	1002
#define AT_NEWGAME	1003

//how many draw rects before redraw full screen?
#define DRAWRECTS	480

struct Controls {
    int left;
    int right;
    int rot_left;
    int rot_right;
    int down;
    int drop;
};

struct InitData {
	int level;
	int gametype;
	int next;
	char name[32];
	char name2[32];
	int anim_go;
	int anim_l;
	int transparency;
	int	hori_del;
	int snd_vol;
	int snd_on;
	Controls plyr1;
	Controls plyr2;
	int wholes;
	int send_all;
	int send_tetris;
	int bkgnd;
	int smooth_hori;
	int help;
	int bl_by_bl;
	int slow;
};

extern char *src_dir;
extern char* home_dir;
extern int fast_quit;

#endif
