/***************************************************************************
                          preview.h  -  description
                             -------------------
    begin                : Sat Apr 15 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREVIEW_H
#define PREVIEW_H


/**
  *@author Michael Speck
  */

#include "SDL/SDL_video.h"

class Bowl;
class SDL;
class SDLSurface;

class Preview {
public: 
    Preview(int px, int py, int pw, int ph, SDL *sdl, SDLSurface *bkgnd, SDLSurface *blocks, Bowl *b, int t);
    ~Preview();
    void IsUnknown(SDLSurface *quest_mark, float *pct);
    void Hide();
    void Update(SDL_Rect *rects, int *rect_num);
private:
    int     x;
    int     y;
    int     w;
    int     h;
    SDL         *sdl;
    SDLSurface  *backgnd;
    SDLSurface  *block;
    SDLSurface  *blocks;
    Bowl        *bowl;
    SDLSurface  *q_mark;
    float       *q_pct;
    int         is_unknown;
    int         trp;
};

#endif
