/***************************************************************************
                          sdl.h  -  description
                             -------------------
    begin                : Sun Feb 27 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SDL_H
#define SDL_H

#include "sdlfont.h"

/**
  *@author Michael Speck
  */

class SDL {
public: 
	SDL(int i);
	~SDL();
	int	SetVideoMode(int w, int h, int bpp, int f);
	SDL_Surface* Screen();
	char* Error();
	int	ErrorCode();
	void PrintError();
	void Begin();
	void End();
	void Flip();
	void Update();
	void Update(int x, int y, int w, int h);
	void SetClipRgn(int x, int y, int w, int h);
	int Width();
	int Height();
	void Dim(int steps = 8, int delay = 20);
	void UnDim(int steps = 8, int delay = 20);
	int Blit(int sx, int sy, SDLSurface *dest, int dx, int dy, int w, int h);
	int Blit(SDLSurface *dest, int dx, int dy);
	int Fill(int x, int y, int w, int h, int c);
	int WaitForKey();
private:
	char	*err_str;
	int		err_code;
	SDL_Surface	*screen;
	int		full_screen;
	int		double_buf;
	int		w;
	int		h;
};

#endif
