/***************************************************************************
                          sdlsurface.h  -  description
                             -------------------
    begin                : Sun Feb 27 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SDLSURFACE_H
#define SDLSURFACE_H

/**
  *@author Michael Speck
  */

#include <SDL/SDL.h>

#define SDL_OK		0
#define SDL_ERROR	1
class SDLSurface {
public:
	SDLSurface(char *f);
	SDLSurface(char *f, int flags);
	SDLSurface(int w, int h, int f);
	~SDLSurface();
	SDL_Surface* Surface();
	SDL_Rect* Pos(int x, int y);
	int Blit(int sx, int sy, SDL_Surface *dest, int dx, int dy, int w, int h);
	int Blit(SDL_Surface *dest, int dx, int dy);
	int Blit(int sx, int sy, SDLSurface *dest, int dx, int dy, int w, int h);
	int Blit(SDLSurface *dest, int dx, int dy);
	void Begin();
	void End();
	void SetAlpha(int a);
	void SetColorKey(int c);
	void ClearCK();
	void SetClipRgn(int x, int y, int w, int h);
	int Fill(int x, int y, int w, int h, int c);
	int Width();
	int Height();
private:
	SDL_Surface	*surface;
	int			w;
	int			h;
protected:
	int DisplayFormat();
	void CreateSurface(int w, int h, int f);
};

#endif
