/***************************************************************************
                          soundserver.h  -  description
                             -------------------
    begin                : Mon Mar 13 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SOUNDSERVER_H
#define SOUNDSERVER_H

/**
  *@author Michael Speck
  */

// uncomment this for sound or use configure with --enable-sound
//#define SOUND

#include "wave.h"

struct Track {
	Wave			*wave;
	unsigned char	*audio_pos;
	int				len;
	unsigned char	priority;
};

class SoundServer {
public: 
	SoundServer(int t);
	~SoundServer();
	int Open(SDL_AudioSpec wanted);
	void Close();
	void Pause(int p = 1);
	void PlayWave(Wave *w, int p = 0);
	SDL_AudioSpec Spec();
	int	TrackNum();
	Track* GetTrack(int i);
	char Volume();
	void SetVolume(char v);
	int Playing();
	void TrackFinished();
	void Activate(int s);
	int Sleeping();
private:
	SDL_AudioSpec	spec;
	Track			*tracks;
	int				track_num;
	char			volume;
	int				playing;
	int				sleeping;
	int             ok;
};

extern SoundServer 		*sndsrv;
extern void SndSrv_Callback(void *udata, unsigned char *stream, int len);

#endif
